_IFAPI_OBJECT Struct Reference

`#include <ifapi_keystore.h>`

## Data Fields

TSS2_OBJECT | public
TPMS_POLICY * | policy
IFAPI_OBJECT_TYPE_CONSTANT | objectType
IFAPI_OBJECT_UNION | misc
TPMI_YES_NO | system
enum IFAPI_AUTHORIZATION_STATE | authorization_state
enum IFAPI_IO_STATE | state
const char * | rel_path

## Detailed Description

Type for representing TPM-Resource

## Field Documentation

## authorization_state

enum IFAPI_AUTHORIZATION_STATE authorization_state

State of object authorization state machine

## misc

IFAPI_OBJECT_UNION misc

Resource specific information

## objectType

IFAPI_OBJECT_TYPE_CONSTANT objectType

Selector for object type

## public

TSS2_OBJECT public

public fields of an IFAPI_OBJECT

## rel_path

const char* rel_path

The relative path in keystore.

## system

TPMI_YES_NO system

Store the object in the system wide directory

The documentation for this struct was generated from the following file:

- src/tss2-fapi/ifapi_keystore.h